Ignition Signin API

An API for customer signin operations, base path is https://ignition.ticketek.com.au/signIn

  • Version: v1

Deprecated. Do not use this endpoint. Use /signIn/jwt instead.

  • POST /signIn

Request parameters

Name Type Required Description
username String false –
password String false –
clientCredential ClientCredential false –
  • ClientCredential
Name Type Required Description
clientId String false –
clientSecret String false –
scope String false –
grantType String false –

Response parameters

Name Type Required Description
token String false –
id Integer false –

Create JWT signin token that can be used for customer specific transactions.

  • POST /signIn/jwt

Request parameters

Name Type Required Description
Accept – true Set this to application/vnd.softix.api-v3+json. Specifies the versioned endpoint.
x-api-key – true Account specific API Key
username String false –
password String false –
clientCredential ClientCredential false –
  • ClientCredential
Name Type Required Description
clientId String false –
clientSecret String false –
scope String false –
grantType String false –

Response parameters

Name Type Required Description
access_token String false –
issued_at String false –
token_type String false –
expires_in Integer false –
scope String false –
refresh_token String false –
Scroll to Top